std::atomic_flag(3cxx)

NAME
std::atomic_flag - atomic_flag

SYNOPSIS

#include <atomic_base.h>

Inherits std::__atomic_flag_base.

  Public Member Functions

constexpr atomic_flag (bool __i) noexcept
atomic_flag (const atomic_flag &)=delete
atomic_flag & operator= (const atomic_flag &) volatile=delete
atomic_flag & operator= (const atomic_flag &)=delete

  Public Attributes

__atomic_flag_data_type _M_i

Detailed Description

atomic_flag

Definition at line 179 of file atomic_base.h.

Constructor & Destructor Documentation

  constexpr std::atomic_flag::atomic_flag (bool __i) [inline], [constexpr], [noexcept]

Definition at line 188 of file atomic_base.h.

Member Data Documentation

  __atomic_flag_data_type std::__atomic_flag_base::_M_i [inherited]

Definition at line 171 of file atomic_base.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.